# POOLS/Makefile
############################################################################

include ../Config.common
include ../Config.site

# -DALIGN defines default cell alignement (for cells allocated using New()
#
# POOLSFLAGS are defined in ../Config as they are architecture
# dependent.
# POOLFLAGS = -DPOOL_ALIGN=4

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
SOURCES = pools.c error.c
OBJECTS = ${SOURCES:.c=.o}

CFLAGS = $(_CFLAGS) $(POOLFLAGS)
LDFLAGS = $(_LDFLAGS)
LIBS = $(_LIBS)

#default target: compile
all: libpools.a

# generate source file dependencies
depend:
	$(MAKEDEPEND) $(CFLAGS) $(SOURCES) > deps

# compile and link
libpools.a: ${OBJECTS}
	$(AR) libpools.a $(OBJECTS) 
	$(RANLIB) libpools.a

install:

uninstall:

# make a clean source tree again
clean: cleangen
	-${RM} libpools.a *.o *~ core deps
	${TOUCH} deps

distclean: clean

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps
